<nav class="navbar navbar-default">
  <div class="container-fluid">
  <div class="navbar-header">
    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
      <span class="sr-only">Toggle navigation</span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
      <span class="icon-bar"></span>
    </button>
    <a class="navbar-brand" href="#">Project name</a>
  </div>

  <div id="navbar" class="navbar-collapse collapse">
    <ul class="nav navbar-nav main-nav" >
      <li class="active"><a href="/home">Home</a></li>
      <li><a href="/converters">Products List</a></li>
      <li><a href="/about">About</a></li>
     
      <!-- <li class="dropdown">
        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Dropdown <span class="caret"></span></a>
        <ul class="dropdown-menu">
          <li><a href="#">Action</a></li>
          <li><a href="#">Another action</a></li>
          <li><a href="#">Something else here</a></li>
          <li role="separator" class="divider"></li>
          <li class="dropdown-header">Nav header</li>
          <li><a href="#">Separated link</a></li>
          <li><a href="#">One more separated link</a></li>
        </ul>
      </li> -->
    </ul>
    <ul class="nav navbar-nav navbar-right">
      <!-- <li><a class="myLogin" (click)="modal1.show()">Login</a>
        <app-modal #modal1></app-modal></li> -->
        <li><a *ngIf="!auth.isAuthenticated" href="/login">login</a></li>
        <li><a *ngIf="!auth.isAuthenticated" href="/register">Registration</a></li>
        <li><a *ngIf="auth.isUser" (click)="auth.userProfile()">My Profile</a></li>
        <li><a *ngIf="auth.isAdmin" (click)="auth.adminBoard()">Control panel</a></li>
        <li><a *ngIf="auth.isAuthenticated" (click)="auth.logout()">Logout</a></li>
    </ul>
  </div>
</div>
</nav>

